/*
* THIS SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS.  BITFLASH GRAPHICS INC.
* (BITFLASH) ASSUMES NO RESPONSIBILITY FOR THE ACCURACY OR COMPLETENESS OF THE
* DOCUMENTATION AND EXPRESSLY DISCLAIMS ALL REPRESENTATIONS AND WARRANTIES OF ANY
* KIND REGARDING THE CONTENT OR USE OF THE SOFTWARE OR DOCUMENTATION INCLUDING,
* BUT NOT LIMITED TO, EXPRESS AND IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
* FOR A PARTICULAR USE, OR NON-INFRINGEMENT.
*
* IN NO EVENT WILL BITFLASH BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL,
* INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, LOST BUSINESS OR
* LOST DATA, RESULTING FROM THE USE OF OR RELIANCE UPON THE SOFTWARE OR
* DOCUMENTATION, WHETHER OR NOT BITFLASH HAS BEEN ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGES.
*/

package com.bitflash.jabber.client.gui;

import java.awt.*;
import java.awt.event.*;

/**
 * Gets the Jabber connection properties from the user.
 */
public class GroupChatDialog extends Dialog implements ActionListener
{
	// Initialized with defaults
	String group = "whiteboard";
	String server = "";
		
	GroupChatDialog( Frame parent )
	{
		super( parent );
		
		GridLayout layout = new GridLayout(4,2);
		layout.setHgap( 10 );
		layout.setVgap( 10 );
		
		setLayout( layout );
		setModal( true );
		
		add( new Label("Group: ") );
		add( fieldGroup = new TextField(group) );
		
		add( new Label("Server: ") );
		add( fieldServer = new TextField(server) );
				
		Button ok = new Button( "OK" );
		ok.addActionListener( this );
		ok.setName( "OK" );
		add( ok );

		Button cancel = new Button( "Cancel" );
		cancel.addActionListener( this );
		cancel.setName( "Cancel" );
		add( cancel );
		
		pack();		
	}
	
	public boolean open()
	{		
		show();
		return accepted;
	}
	
	public void actionPerformed( ActionEvent event )
	{		
		String sourceName = ((Component)event.getSource()).getName();
		if( "OK" == sourceName )
		{
			accepted = true;
			group  = fieldGroup.getText();
			server = fieldServer.getText();
		}			
		dispose();
	}
	
	private TextField fieldGroup;
	private TextField fieldServer;

	private boolean accepted = false;
}