/*
* THIS SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS.  BITFLASH GRAPHICS INC.
* (BITFLASH) ASSUMES NO RESPONSIBILITY FOR THE ACCURACY OR COMPLETENESS OF THE
* DOCUMENTATION AND EXPRESSLY DISCLAIMS ALL REPRESENTATIONS AND WARRANTIES OF ANY
* KIND REGARDING THE CONTENT OR USE OF THE SOFTWARE OR DOCUMENTATION INCLUDING,
* BUT NOT LIMITED TO, EXPRESS AND IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
* FOR A PARTICULAR USE, OR NON-INFRINGEMENT.
*
* IN NO EVENT WILL BITFLASH BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL,
* INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, LOST BUSINESS OR
* LOST DATA, RESULTING FROM THE USE OF OR RELIANCE UPON THE SOFTWARE OR
* DOCUMENTATION, WHETHER OR NOT BITFLASH HAS BEEN ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGES.
*/

package com.bitflash.jabber.client.model.jabber;

/**
 * A <iq><query xmlns="jabber:iq:auth"/></iq> request in the Jabber protocol.
 */
public class Authentication extends Query 
{	
	static final String SUBPROPERTIES[] = {
		"username",
		"password",
		"resource",
	};	
	
	public Authentication()
	{
		super( "jabber:iq:auth" );
		addSubproperties( SUBPROPERTIES );
	}
	
	static public String generateJabberID( String userName, String server, String resource )
	{
		if( "" == resource )
			return userName + "@" + server;
		else
			return userName + "@" + server + "/" + resource;
	}
			
	static public InfoQuery create( String username, String password, String resource )
	{
		Authentication query = new Authentication();
		query.setProperty( "username", username );
		query.setProperty( "password", password );
		query.setProperty( "resource", resource );

		InfoQuery iq = new InfoQuery();
		iq.setProperty( query.name, query );
		
		return iq;
	}		
}
