/*
* THIS SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS.  BITFLASH GRAPHICS INC.
* (BITFLASH) ASSUMES NO RESPONSIBILITY FOR THE ACCURACY OR COMPLETENESS OF THE
* DOCUMENTATION AND EXPRESSLY DISCLAIMS ALL REPRESENTATIONS AND WARRANTIES OF ANY
* KIND REGARDING THE CONTENT OR USE OF THE SOFTWARE OR DOCUMENTATION INCLUDING,
* BUT NOT LIMITED TO, EXPRESS AND IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
* FOR A PARTICULAR USE, OR NON-INFRINGEMENT.
*
* IN NO EVENT WILL BITFLASH BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL,
* INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, LOST BUSINESS OR
* LOST DATA, RESULTING FROM THE USE OF OR RELIANCE UPON THE SOFTWARE OR
* DOCUMENTATION, WHETHER OR NOT BITFLASH HAS BEEN ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGES.
*/

package com.bitflash.jabber.client.model.jabber;

import com.bitflash.jabber.client.model.*;
import com.bitflash.jabber.client.xml.*;

/**
 * Represents an <error/> element in the Jabber XML stream.
 */
public class Error extends DocumentObject 
{
	static final String PROPERTIES[] = {
		"code",
	};

	static final String SUBPROPERTIES[] = {
		"message",
	};				
	
	Error() 
	{
		super( "error" );
		
		addProperties( PROPERTIES );
		addSubproperties( SUBPROPERTIES );
	}
		
	static public DocumentObject compile( XMLElement xmlElement )
	{
		Error result = new Error();
		result.setProperties( xmlElement );					
		return result;
	}
}