/*
* THIS SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS.  BITFLASH GRAPHICS INC.
* (BITFLASH) ASSUMES NO RESPONSIBILITY FOR THE ACCURACY OR COMPLETENESS OF THE
* DOCUMENTATION AND EXPRESSLY DISCLAIMS ALL REPRESENTATIONS AND WARRANTIES OF ANY
* KIND REGARDING THE CONTENT OR USE OF THE SOFTWARE OR DOCUMENTATION INCLUDING,
* BUT NOT LIMITED TO, EXPRESS AND IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
* FOR A PARTICULAR USE, OR NON-INFRINGEMENT.
*
* IN NO EVENT WILL BITFLASH BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL,
* INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, LOST BUSINESS OR
* LOST DATA, RESULTING FROM THE USE OF OR RELIANCE UPON THE SOFTWARE OR
* DOCUMENTATION, WHETHER OR NOT BITFLASH HAS BEEN ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGES.
*/

package com.bitflash.jabber.client.model.svg;

import java.util.*;
import com.bitflash.jabber.client.model.*;
import com.bitflash.jabber.client.xml.*;

public class SVG extends DocumentObject
{	
	public SVG()
	{
		super( "svg" );		
	}
	
	static public DocumentObject compile( XMLElement xmlElement )
	{
		SVG result = new SVG();
		result.setProperties( xmlElement );
		
		Enumeration E = xmlElement.children.elements();
		while( E.hasMoreElements() )
		{
			XMLElement child = (XMLElement)E.nextElement();
			DocumentObject compiled = null;

			if( child.name.equals("line") )
				compiled  = Line.compile(child);
				
			if( null != compiled )					
				result.addChild( compiled );
		}
		return result;
	}
}
